DROP SCHEMA IF EXISTS BBB ;
CREATE DATABASE BBB ;

USE BBB ;


DROP TABLE IF EXISTS `commune`;
CREATE TABLE `commune` (
  `codepays` varchar(3) NOT NULL,
  `noregion` varchar(5) DEFAULT NULL,
  `nodep` varchar(5) DEFAULT NULL,
  `codecommune` varchar(5) DEFAULT NULL,
  `commune` varchar(100) DEFAULT NULL,
  `codepostal` varchar(5) DEFAULT NULL,
  `x` double DEFAULT NULL,
  `y` double DEFAULT NULL,
  KEY `communecodepostal` (`codepostal`),
  KEY `communecommune` (`commune`),
  KEY `ruecodepaysnodep` (`nodep`,`commune`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `rue`;
CREATE TABLE `rue` (
  `codepays` varchar(3) DEFAULT NULL,
  `noregion` varchar(5) DEFAULT NULL,
  `nodep` varchar(5) DEFAULT NULL,
  `codepostal` varchar(5) DEFAULT NULL,
  `codecommune` varchar(5) DEFAULT NULL,
  `commune` varchar(100) DEFAULT NULL,
  `rue` varchar(100) DEFAULT NULL,
  `x` double DEFAULT NULL,
  `y` double DEFAULT NULL,
  KEY `ruerue` (`rue`),
  KEY `ruecommune` (`commune`),
  KEY `ruecodepaysnodep` (`nodep`,`commune`,`rue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
