use BBB ;

drop function if exists lcase_sans_accent;

-- Met en minucules et élimine les accents (et les tirets)

DELIMITER //
create function lcase_sans_accent( textvalue varchar(200) )
returns varchar(200)
begin

 set @textvalue = lcase(textvalue);

-- ACCENTS
 set @avecaccent = '-àáâãäåæçèéêëìíîïñòóôõöøùúûüýÿß';
 set @sansaccent = ' aaaaaaaceeeeiiiinoooooouuuuyyb';
 set @count = length(@avecaccent);

 while @count > 0 do
    set @textvalue = replace(@textvalue, substring(@avecaccent, @count, 1), substring(@sansaccent, @count, 1));
    set @count = @count - 1;
 end while;

 RETURN (TRIM(@textvalue));
END //
DELIMITER ;

