#!/bin/bash

source ../../config.bat

CHEMIN=$BASE/commun/dump

cd $CHEMIN

LISTE=$DATABASE

for DB in $LISTE
do
 echo DROP SCHEMA IF EXISTS $DB \;                                     >  $CHEMIN/$DB.sql
 echo " "                                                              >> $CHEMIN/$DB.sql
 /usr/bin/mysqldump --user=$DBUSER --password=$DBPW  --databases  $DB  >> $CHEMIN/$DB.sql

# sauver structure des tables
 /usr/bin/mysqldump --user=$DBUSER --password=$DBPW --no-data  --databases  --no-create-db $DB > $CHEMIN/struct_$DB.sql

# sauvegarde routines
 /usr/bin/mysqldump --user=$DBUSER --password=$DBPW --routines --no-data --databases --no-create-db  --no-create-info $DB > $CHEMIN/routines_$DB.sql

done
