#!/bin/bash

source ../../config.bat

CHEMIN="$BASESQL\/commun.data\/out"
CHEMINAJOUT="$BASESQL\/commun.data\/in\/posteref"
CHEMININ="$BASE/commun.data/in/posteref"
CHEMINOUT="$BASE/commun.data/out"

/usr/bin/cp -f ${CHEMININ}/poste.$1.csv ${CHEMINOUT}/poste.csv
# convertir DOS => Unix
/usr/bin/sed -i 's/\x0D$//' ${CHEMINOUT}/poste.csv
/usr/bin/sed -i 's/,/;/' ${CHEMINOUT}/poste.csv

/usr/bin/awk -f poste.$1.awk ${CHEMINOUT}/poste.csv > ${CHEMINOUT}/poste.$1.txt
/usr/bin/sort -u ${CHEMINOUT}/poste.$1.txt > ${CHEMINOUT}/poste.$1.out

/usr/bin/chmod 777 ${CHEMINOUT}/poste.$1.out
/usr/bin/chmod 777 ${CHEMININ}/poste.ajout.$1.txt

/usr/bin/cp -f delete.posteref.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/cp -f load.posteref.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/sed -i "s/CCC/${CHEMIN}/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/cp -f load.posteref.ajout.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/sed -i "s/CCC/${CHEMINAJOUT}/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/cp -f update.posteref.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/rm -f tmp.sql

/usr/bin/rm -f ${CHEMINOUT}/poste.csv
