USE BBB ;

DROP TABLE IF EXISTS `befgem`;
CREATE TABLE `befgem` (
  `gemid` int(11) NOT NULL,
  `codecommune` varchar(5) DEFAULT NULL,
  `langue` varchar(2) DEFAULT NULL,
  `langue2` varchar(2) DEFAULT NULL,
  KEY `gemid` (`gemid`),
  KEY `gemcodecommune` (`codecommune`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befgemnm`;
CREATE TABLE `befgemnm` (
  `gemid` int(11) NOT NULL,
  `commune` varchar(100) DEFAULT NULL,
  `langue` varchar(2) DEFAULT NULL,
  KEY `gemnmid` (`gemid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befhuisnr`;
CREATE TABLE `befhuisnr` (
  `huisnrid` int(11) NOT NULL,
  `straatnmid` int(11) DEFAULT NULL,
  `norue` varchar(10) DEFAULT NULL,
  KEY `huisrnid` (`huisnrid`),
  KEY `huisnrstraatnmid` (`straatnmid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befpkancode`;
CREATE TABLE `befpkancode` (
  `huisnrid` int(11) NOT NULL,
  `codepostal` varchar(5) DEFAULT NULL,
  KEY `pkancodecodepostal` (`codepostal`),
  KEY `pkancodehuisnrid` (`huisnrid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befpostkan`;
CREATE TABLE `befpostkan` (
  `postkanid` int(11) NOT NULL,
  `codepostal` varchar(5) DEFAULT NULL,
  KEY `postkanid` (`postkanid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befpostknm`;
CREATE TABLE `befpostknm` (
  `postkanid` int(11) NOT NULL,
  `communepostale` varchar(500) DEFAULT NULL,
  `langue` varchar(2) DEFAULT NULL,
  KEY `postkrnmid` (`postkanid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befstraatnm`;
CREATE TABLE `befstraatnm` (
  `straatnmid` int(11) NOT NULL,
  `codecommune` varchar(5) DEFAULT NULL,
  `rue` varchar(100) DEFAULT NULL,
  KEY `straatnmid` (`straatnmid`),
  KEY `straatnmcodecommune` (`codecommune`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `befterrobj`;
CREATE TABLE `befterrobj` (
  `terrobjid` int(11) NOT NULL,
  `x` double DEFAULT NULL,
  `y` double DEFAULT NULL,
  KEY `terrobjid` (`terrobjid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `beftobjhnr`;
CREATE TABLE `beftobjhnr` (
  `terrobjid` int(11) NOT NULL,
  `huisnrid` int(11) DEFAULT NULL,
  KEY `terrobjhnrid` (`terrobjid`),
  KEY `terrobjhnrhuisnrid` (`huisnrid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
