#!/bin/bash

source ../config.bat

CHEMINCSV="$BASE/flandre.data/csv"
CHEMINOUT="$BASE/flandre.data/out"

/usr/bin/awk -f gem.awk      ${CHEMINCSV}/gem.csv      > ${CHEMINOUT}/gem.txt
/usr/bin/awk -f gemnm.awk    ${CHEMINCSV}/gemnm.csv    > ${CHEMINOUT}/gemnm.txt
/usr/bin/awk -f straatnm.awk ${CHEMINCSV}/straatnm.csv > ${CHEMINOUT}/straatnm.txt
/usr/bin/awk -f huisnr.awk   ${CHEMINCSV}/huisnr.csv   > ${CHEMINOUT}/huisnr.txt
/usr/bin/awk -f postkan.awk  ${CHEMINCSV}/postkan.csv  > ${CHEMINOUT}/postkan.txt
/usr/bin/awk -f postknm.awk  ${CHEMINCSV}/postknm.csv  > ${CHEMINOUT}/postknm.txt
/usr/bin/awk -f pkancode.awk ${CHEMINCSV}/pkancode.csv > ${CHEMINOUT}/pkancode.txt
/usr/bin/awk -f tobjhnr.awk  ${CHEMINCSV}/tobjhnr.csv  > ${CHEMINOUT}/tobjhnr.txt
/usr/bin/awk -f terrobj.awk  ${CHEMINCSV}/terrobj.csv  > ${CHEMINOUT}/terrobj.txt

/usr/bin/chmod 777 ${CHEMINOUT}/*.txt
