use BBB ;

drop table if exists beft1;
drop table if exists beft2;

create table beft1
SELECT count(*) as nbs, befcommune.codecommune
FROM befcommune
group by befcommune.codecommune having  nbs > 1;

create table beft2
select beft1.nbs, communeref.codecommune,
       communeref.noregion, communeref.communelong,
       "fr" as langueref
from beft1 inner join communeref
on beft1.codecommune=communeref.codecommune
where communeref.codepays="BE";

update beft2 set langueref = "nl"
where noregion = "02000" ;

DELETE c FROM befcommune c
inner join beft2 t2
on t2.codecommune=c.codecommune
and t2.langueref<>c.langue3;

SELECT count(*) as nbs, befcommune.codecommune
FROM befcommune
group by befcommune.codecommune having  nbs > 1;

drop table if exists beft1;
drop table if exists beft2;
