#!/bin/bash

# extraction des données des fichiers DBASE en CSV
./extract.bat
# sélection des colonnes utiles des fichiers CSV
./dbase.bat
# conversion de DOS vers UTF-8 et 
# conversion des coordonnées Lambert Belge 1972 vers WGS84
./convert.bat
# Création des tables
./create.bat
# chargement des données dans MySQL
./load.bat

# traitement des communes
./insert1.bat
# repérage des communes manquantes
# si listing non vide, corriger puis relancer le SELECT
./select.communeref.manquant.bat

# traitement des rues, codes postaux, n° de rue, coordonnées
./insert2.bat
# constitution des communes avec leurs coordonnées et des rues avec leurs coordonnées
./insert3.bat
# création des 3 sets par région (facultatif)
#./insert4.bat

# chargement final des données utiles
./rue.commune.BE.bat

# nettoyage final, à faire quand tout est fini correctement
./drop.bat
