#!/bin/bash

source ../config.bat

CHEMIN="$BASESQL\/france.data\/out"
CHEMININ="$BASE/france.data/in"
CHEMINOUT="$BASE/france.data/out"
CHEMINLIS="$BASE/france.data/lis"

#LISTE="75 13 69"
#LISTE="13"
LISTE="01 02 03 04 05 06 07 08 09 10 2A 2B 11 12 13 14 15 16 17 18 19 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 971 972 973 974 976"

for NO in $LISTE
do
 echo "Département: $NO"

echo 0
 /usr/bin/rm -f ${CHEMINOUT}/total.csv
 /usr/bin/cp -f ${CHEMININ}/bano-$NO.csv ${CHEMINOUT}/total.csv
 /usr/bin/sed -i 's/\t/ /g' ${CHEMINOUT}/total.csv
 /usr/bin/cp -f total.awk tmp.awk
 /usr/bin/sed -i "s/PPP/$1/g" tmp.awk
 /usr/bin/sed -i "s/DDD/${NO}/g" tmp.awk
 /usr/bin/awk -f tmp.awk ${CHEMINOUT}/total.csv > ${CHEMINLIS}/total.$1.$NO.txt
echo 1
 /usr/bin/awk -f cpvide.awk ${CHEMINOUT}/total.csv > ${CHEMINLIS}/cpvide.tmp
 /usr/bin/sort -u ${CHEMINLIS}/cpvide.tmp > ${CHEMINLIS}/cpvide$NO.txt
 /usr/bin/rm -f ${CHEMINLIS}/cpvide.tmp

 if [ ! -s ${CHEMINLIS}/cpvide$NO.txt ]
 then
  /usr/bin/rm -f ${CHEMINLIS}/cpvide$NO.txt
 fi

echo 2
 /usr/bin/awk -f cpdouble.awk ${CHEMINOUT}/total.csv > ${CHEMINLIS}/cpdouble.tmp
 /usr/bin/sort -u ${CHEMINLIS}/cpdouble.tmp > ${CHEMINLIS}/cpdouble$NO.txt
 /usr/bin/rm -f ${CHEMINLIS}/cpdouble.tmp

 if [ ! -s ${CHEMINLIS}/cpdouble$NO.txt ]
 then
  /usr/bin/rm -f ${CHEMINLIS}/cpdouble$NO.txt
 fi

echo 3
 /usr/bin/cp -f ${CHEMINLIS}/total.$1.$NO.txt ${CHEMINOUT}/total.txt
 /usr/bin/chmod 777 ${CHEMINOUT}/total.txt
echo 4
 /usr/bin/cp -f create.total.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql
echo 5
 /usr/bin/cp -f load.total.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/sed -i "s/CCC/${CHEMIN}/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql
echo 6
 /usr/bin/cp -f update.total.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql
echo 7
 /usr/bin/cp -f update.noregion.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

# /usr/bin/cp -f update.nodep.sql tmp.sql
# /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
# /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

 /usr/bin/cp -f update.codecommune.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

 /usr/bin/cp -f select.codecommune.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/mysql         --user=$DBUSER --password=$DBPW  < tmp.sql > ${CHEMINLIS}/select.codecommune.$1.$NO.lis

 if [ ! -s ${CHEMINLIS}/select.codecommune.$1.$NO.lis ]
 then
  /usr/bin/rm -f ${CHEMINLIS}/select.codecommune.$1.$NO.lis
 fi

echo 8
 /usr/bin/cp -f select.total.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/sed -i "s/PPP/$1/g" tmp.sql
 /usr/bin/mysql         --user=$DBUSER --password=$DBPW  < tmp.sql > ${CHEMINLIS}/select.inc.$1.$NO.lis

 if [ ! -s ${CHEMINLIS}/select.inc.$1.$NO.lis ]
 then
  /usr/bin/rm -f ${CHEMINLIS}/select.inc.$1.$NO.lis
 fi

echo 9
 /usr/bin/cp -f delete.rue.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/sed -i "s/DDD/${NO}/g" tmp.sql
 /usr/bin/sed -i "s/PPP/$1/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql
echo 10
 /usr/bin/cp -f insert.rue.sql tmp.sql
 /usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
 /usr/bin/sed -i "s/DDD/${NO}/g" tmp.sql
 /usr/bin/sed -i "s/PPP/$1/g" tmp.sql
 /usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

done

/usr/bin/rm -f ${CHEMINOUT}/total.txt
/usr/bin/rm -f ${CHEMINOUT}/total.csv
/usr/bin/rm -f tmp.awk

/usr/bin/cp -f drop.total.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/rm -f tmp.sql
