use BBB ;

DROP FUNCTION IF EXISTS PROPER;

-- set upper case the first char of every word in a string
DELIMITER //
CREATE or replace FUNCTION PROPER(inputStr varchar(200))
RETURNS VARCHAR(200)
DETERMINISTIC
BEGIN
    DECLARE x, y, result, result1, result2 VARCHAR(200);
    SET result = '';
    SET x = '';
    SET y = LOWER(TRIM(inputStr));
    WHILE CHAR_LENGTH(y) > 0 DO
        -- get next word
        SET x = SUBSTRING_INDEX(y, ' ', 1);
        -- set upper case the first char
        SET x = CONCAT(UPPER(SUBSTRING(x, 1, 1)), SUBSTRING(x, 2));
        -- add word to result
        SET result = CONCAT(result, ' ', x);
        -- prepare y for next loop
        SET y = TRIM(SUBSTRING(y, CHAR_LENGTH(x) + 1));
    END WHILE;

    SET result1 = '';
    SET x = '';
    SET y = result;
    WHILE (CHAR_LENGTH(y) > 0) DO
        -- get next word
        SET x = SUBSTRING_INDEX(y, '-', 1);
        -- set upper case the first char
        SET x = CONCAT(UPPER(SUBSTRING(x, 1, 1)), SUBSTRING(x, 2));
        -- add word to result
        SET result1 = CONCAT(result1, x, '-');
        -- prepare y for next loop
        SET y = SUBSTRING(y, CHAR_LENGTH(x) + 2);
    END WHILE;
    SET result1 = SUBSTRING(result1, 1,CHAR_LENGTH(result1) - 1);
    
    SET result2 = '';
    SET x = '';
    SET y = result1;
    WHILE (CHAR_LENGTH(y) > 0) DO
        -- get next word
        SET x = SUBSTRING_INDEX(y, "'", 1);
        -- set upper case the first char
        SET x = CONCAT(UPPER(SUBSTRING(x, 1, 1)), SUBSTRING(x, 2));
        -- add word to result
        SET result2 = CONCAT(result2, x, "'");
        -- prepare y for next loop
        SET y = SUBSTRING(y, CHAR_LENGTH(x) + 2);
    END WHILE;
    SET result2 = SUBSTRING(result2, 1,CHAR_LENGTH(result2) - 1);
    
    RETURN (TRIM(result2));
END //
DELIMITER ;
