#!/bin/bash

source ../../config.bat

CHEMIN="$BASESQL\/commun.data\/out"
CHEMINAJOUT="$BASESQL\/commun.data\/in\/communeref"
CHEMININ="$BASE/commun.data/in/communeref"
CHEMINOUT="$BASE/commun.data/out"

/usr/bin/cp -f ${CHEMININ}/commune.$1.csv ${CHEMINOUT}/commune.csv
# convertir DOS => Unix
/usr/bin/sed -i 's/\x0D$//' ${CHEMINOUT}/commune.csv

/usr/bin/awk -f commune.$1.awk ${CHEMINOUT}/commune.csv > ${CHEMINOUT}/commune.$1.txt

/usr/bin/chmod 777 ${CHEMINOUT}/commune.$1.txt
/usr/bin/chmod 777 ${CHEMININ}/commune.ajout.$1.txt

/usr/bin/cp -f delete.communeref.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/cp -f load.communeref.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/sed -i "s/CCC/${CHEMIN}/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/cp -f load.communeref.ajout.sql tmp.sql
/usr/bin/sed -i "s/BBB/${DATABASE}/g" tmp.sql
/usr/bin/sed -i "s/PPP/$1/g" tmp.sql
/usr/bin/sed -i "s/CCC/${CHEMINAJOUT}/g" tmp.sql
/usr/bin/mysql $OPTION --user=$DBUSER --password=$DBPW  < tmp.sql

/usr/bin/rm -f ${CHEMINOUT}/commune.csv
/usr/bin/rm -f tmp.sql
